Subject: Re: bug#9668: 24.0.50; doc of `declare' (non-CL version)

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sat, 07 Jan 2012 06:48:33 +0100

"Drew Adams" <[email-masked]> writes:

> `(elisp) Defining Macros says' that `declare' works only for `debug' and
> `indent'.  But the Emacs Lisp source code has lots of occurrences of
> `doc-string', and `ignore' as well.  Seems like the doc is not
> up-to-date?  (I'm not counting occurrences of CL's `declare special'.)

The only instances of `ignore' I could find weren't in `defmacro' forms,
which probably means that it has no effect whatsoever.

But I've now added `doc-string' to the manual.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/